OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.CopyBuffer

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBCopyBuffer :: MonadIO m => m Bool
- gl_ARB_copy_buffer :: Bool
- gl_COPY_READ_BUFFER :: GLenum
- gl_COPY_WRITE_BUFFER :: GLenum
- glCopyBufferSubData :: MonadIO m => GLenum -> GLenum -> GLintptr -> GLintptr -> GLsizeiptr -> m ()

# Extension Support

glGetARBCopyBuffer :: MonadIO m => m Bool

Is the ARB_copy_buffer extension supported?

gl_ARB_copy_buffer :: Bool

Is the ARB_copy_buffer extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBCopyBuffer` in those cases instead.

# Enums

gl_COPY_READ_BUFFER :: GLenum

gl_COPY_WRITE_BUFFER :: GLenum

# Functions

glCopyBufferSubData

Arguments

:: MonadIO m |
=> GLenum | `readTarget`.
-> GLenum | `writeTarget`.
-> GLintptr | `readOffset` of type `BufferOffset`.
-> GLintptr | `writeOffset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.